document.addEventListener('DOMContentLoaded', function() {
  // Add impact score styling
  const impactScores = document.querySelectorAll('td:nth-child(4)');
  impactScores.forEach(cell => {
    cell.classList.add('impact-score');
  });

  // Add smooth scroll behavior
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Add responsive table handling
  const table = document.querySelector('table');
  if (table) {
    const wrapper = document.createElement('div');
    wrapper.style.overflowX = 'auto';
    table.parentNode.insertBefore(wrapper, table);
    wrapper.appendChild(table);
  }
});
